System.Runtime.Remoting [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IChannelReceiver

Channels transport messages across remoting boundaries (for example, computers or application domains). The class transports messages using the TCP protocol.

Channels are used by the .NET Framework remoting infrastructure to transport remote calls. When a client makes a call to a remote object, the call is serialized into a message that is sent by a client channel and received by a server channel. It is then deserialized and processed. Any returned values are transmitted by the server channel and received by the client channel.

To perform additional processing of messages on the server side, you can specify an implementation of the interface through which all messages processed by the instance are passed.

The instance accepts messages serialized in either binary or SOAP format.

A object has associated configuration properties that can be set at run time either in a configuration file (by invoking the static method) or programmatically (by passing a collection to the constructor). For a list of these configuration properties, see Channel and Formatter Configuration Properties.

If the server computer is running Windows 95/98/Me, the cannot be specified as secure.

Implements a server channel for remote calls that uses the TCP protocol to transmit messages.

- Constructor

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  Initializes a new instance of the class that listens on the specified port.

  The port on which the channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  For more information about channel configuration properties, see Channel and Formatter Configuration Properties.

  If the server computer is running Windows 95/98/Me, the cannot be specified as secure.

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the specified channel properties and sink.

  A collection specifying values for configuration properties to be used by the channel.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  Initializes a new instance of the class with the given name and that listens on the specified port.

  The name of the channel.
  The port on which the channel listens.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  This constructor sets the property by using the parameter. If you want to register more than one channel, each channel must have a unique name.

  To request that an available port be dynamically assigned, set the parameter to 0 (zero).

  If you do not require sink functionality, set the parameter to null.

  Initializes a new instance of the class with the given name, which listens on the specified port, and uses the specified sink.

  The name of the channel.
  The port on which the channel listens.
  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  Although returned as an instance of , the value of this property can be cast to an instance of describing the channel to which the object listens.

  Gets channel-specific data.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Every registered channel has a unique name. The name is used to retrieve a specific channel when calling .

  Gets the name of the current channel.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  The priority controls the order in which channel data appears in a instance; higher priority channels appear before lower priority channels. Clients try to connect to the server channels in the order that they are listed in the instance. The default priority is 1; negative priorities are allowed.

  Gets the priority of the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the URI of the current channel.

  The URI of the current channel.

  1.0.5000.0
  2.0.0.0
- Method
  System.String[] `` To be added: an object of type 'string'

  This method is used by .

  Returns an array of all the URLs for an object with the specified URI, hosted on the current instance.

  An array of the URLs for an object with the specified URI, hosted on the current instance.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` `` To be added: an object of type 'string' To be added: an object of type 'string&' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  It is not necessary to call this method to begin listening on a newly initialized channel.

  Use this method to restart listening on a channel after the method has been called to stop listening on the channel.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  The data object can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to start listening for requests.

  Optional initialization information. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to stop listening on a channel. To restart listening, use the method.

  If your channel uses a dynamically assigned port number, your port number might change when you restart listening.

  The data object can be used to pass a specific initialization state to the channel. If you do not want to pass a specific state to the channel, set to null.

  Instructs the current channel to stop listening for requests.

  Optional state information for the channel. 1.0.5000.0 2.0.0.0